MyGUI::ResizingPolicy Struct Reference

`#include <MyGUI_ResizingPolicy.h>`

## Public Types

enum | Enum { Auto , Fixed , Fill , MAX }

## Public Member Functions

| ResizingPolicy (Enum _value=MAX)
std::string_view | print () const
int | getValue () const

## Static Public Member Functions

static ResizingPolicy | parse (std::string_view _value)

## Friends

bool | operator== (ResizingPolicy const &a, ResizingPolicy const &b)
bool | operator!= (ResizingPolicy const &a, ResizingPolicy const &b)
std::ostream & | operator<< (std::ostream &_stream, const ResizingPolicy &_value)
std::istream & | operator>> (std::istream &_stream, ResizingPolicy &_value)

## Detailed Description

Definition at line 15 of file MyGUI_ResizingPolicy.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::ResizingPolicy::Enum

Enumerator
Auto |
Fixed |
Fill |
MAX |

Definition at line 17 of file MyGUI_ResizingPolicy.h.

## Constructor & Destructor Documentation

## ResizingPolicy()

MyGUI::ResizingPolicy::ResizingPolicy | ( | Enum | _value = MAX | ) |

inline

Definition at line 25 of file MyGUI_ResizingPolicy.h.

## Member Function Documentation

## getValue()

int MyGUI::ResizingPolicy::getValue | ( |  | ) | const

inline

Definition at line 74 of file MyGUI_ResizingPolicy.h.

## parse()

ResizingPolicy MyGUI::ResizingPolicy::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 30 of file MyGUI_ResizingPolicy.h.

## print()

std::string_view MyGUI::ResizingPolicy::print | ( |  | ) | const

inline

Definition at line 69 of file MyGUI_ResizingPolicy.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | ResizingPolicy const & | a,
|  | ResizingPolicy const & | b )

friend

Definition at line 50 of file MyGUI_ResizingPolicy.h.

## operator<<

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const ResizingPolicy & | _value )

friend

Definition at line 55 of file MyGUI_ResizingPolicy.h.

## operator==

bool operator== | ( | ResizingPolicy const & | a,
|  | ResizingPolicy const & | b )

friend

Definition at line 45 of file MyGUI_ResizingPolicy.h.

## operator>>

std::istream & operator>> | ( | std::istream & | _stream,
|  | ResizingPolicy & | _value )

friend

Definition at line 61 of file MyGUI_ResizingPolicy.h.

The documentation for this struct was generated from the following file:

- MyGUI_ResizingPolicy.h